## GLOBAL
set hidden_host # When set, mutt will skip the host name part of ``$hostname'' variable when adding the domain part to addresses.
set move=no
set quit=ask-yes
set timeout=15
set imap_authenticators="login"
set imap_passive="no"
unset mark_old # Controls whether or not mutt marks new unread messages as old if you exit a mailbox without reading them.
set tilde
auto_view text/html
alternative_order text/plain text/enriched text text/html  # Show the "text/plain" part *before* the "text/html" part
set realname="Mathieu Maret"
#set signature="~/Desktop/Documents/signature_perso"
set reply_regexp="^((re|aw|sv|ang):[ \t]*)+"
# get rid of auto '--' when composing mail
set sig_dashes=yes
set abort_nosubject=yes
set abort_unmodified=yes
set postpone=ask-no
set tmpdir="~/.mutt/tmp/"
set sort=threads
set sort_aux=mailbox-order
#set editor="vim + -c 'set ft=mail tw=80' -c ':0/^$'"
set editor='vim -c "set spell spelllang=en_us"'
unset metoo
#unset confirmappend
#set help = no


## ACCOUNT
#  GMAIL
set folder= imaps://imap.gmail.com:993
set spoolfile= +INBOX #or +[Gmail]/Important
set postponed= +[Gmail]/Drafts
set imap_user = 'mathieu.maret@gmail.com'
#set imap_pass = 'yourpass'

#set record="imaps://imap.gmail.com/[Gmail]/Sent Mail"
unset record
set maildir_trash = yes

set header_cache=~/.mutt/cache/headers
set message_cachedir=~/.mutt/cache/bodies
set certificate_file=~/.mutt/certificates

set imap_check_subscribed="yes"
set imap_list_subscribed="yes"
mailboxes !
set smtp_url = smtp://mathieu.maret@smtp.gmail.com:587/

## VIEW MAIL
set smileys="(>From)|(:[-^]?[][)(><}{|/DP])"
set pager_context=1 # number of lines that overlap on paging
set pager_index_lines=8
set pager_stop # "next_page" won't jump to next message at end of messages

## REPLY
set edit_headers
set attribution="%n wrote:" # attribution format : on day, name wrote (alias=%a if you want to add that)
set indent_string="> "
set from="Mathieu Maret <mathieu.maret@gmail.com>"

## INDEX
set index_format="%4C %Z  [%D]  %-15.15n   %s"
# When viewing the index, mails are marked
# Z -not sent to me, T - sent only to me, G - sent to me
# and others(Group), C - cc'ed to me, F - from me
set to_chars=" +-.F"
set date_format="%d/%b - %H:%M"

## HEADERS
ignore *
unignore  From: To Cc Reply-To Mail-Followup-To Subject User-Agent X-Mailer Date X-Spam-Level: 
hdr_order Date From: To Cc Reply-To Mail-Followup-To  User-Agent X-Mailer X-Spam-Level: Subject

## BINDINGS
bind pager <up>   previous-line
bind pager <down> next-line

bind index F flag-message
bind pager F flag-message
macro attach W <save-entry><kill-line>/home/mathieu/Download/

## SIDEBAR
# set up the sidebar, default not visible
#set sidebar_width=24
#set sidebar_visible=yes
#set sidebar_delim='|' 
# color of folders with new mail
#color sidebar_new yellow default 
# ctrl-n, ctrl-p to select next, prev folder
# ctrl-o to open selected folder
#bind index \CP sidebar-prev
#bind index \CN sidebar-next
#bind index \CO sidebar-open
#bind pager \CP sidebar-prev
#bind pager \CN sidebar-next
#bind pager \CO sidebar-open 
# b toggles sidebar visibility
#macro index b '<enter-command>toggle sidebar_visible<enter><refresh>'
#macro pager b '<enter-command>toggle sidebar_visible<enter><redraw-screen>'
#bind index B bounce-message


## COLORS

source ~/.mutt/colorSimple2
#source ~/.mutt/colors/themes.256
#source ~/.mutt/colors/calmar.light

# Alias -> select an email an type 'a'
set alias_file = "~/.mutt/aliases"
set sort_alias = alias
set reverse_alias = yes
source $alias_file

## Abook instead of alias ?
#set query_command= "abook --mutt-query '%s'"
#macro index,pager  a "<pipe-message>abook --add-email-quiet<return>" "Add this sender to Abook"
#bind editor        <Tab> complete-query
#
#
